===== v1.28.0 (2025/12/22) =====
  * 機能追加: カラム追加メニューに「ユーザー」を追加しました。
  * 機能追加: 設定画面に、X (Web) の「表示設定」「自動再生設定」へ直接アクセスするリンクを追加しました。
  * 不具合修正: Chrome拡張機能の名前が正しく表示されない問題を修正しました。

===== v1.27.0 (2025/12/21) =====
  * 機能追加: カラムの「クリア」機能（🧹ボタン）を実装しました。
    X (Twitter) のようなSPAを長時間表示し続けると、
    WebView2内にDOM要素やスクリプトの状態が蓄積されメモリを圧迫しますが、
    本機能による再ナビゲーションでこれらを解放し、動作を軽量化します。 

===== v1.26.0 (2025/12/19) =====
  * 機能追加:「新規カラムを追加」メニューに「グローバルトレンド」を追加しました。
  * 仕様変更: グローバルトレンドカラムのメニュー表示設定が「ホーム以外」の設定に従うよう修正しました。

===== v1.25.3 (2025/12/19) =====
  * 不具合修正: 画像表示から戻った際、意図しない位置（過去に閲覧した画像の位置など）へスクロールが復元されてしまう問題を修正しました。
  * 機能改善: スクロール位置の保持タイミングを改善し、タイムラインのトップ（一番上）にいる状態をより確実に保存するようにしました。

===== v1.25.2 (2025/12/18) =====
  * 機能追加: 設定画面に「リスト自動遷移の待機時間」の設定項目を追加しました。
  * 機能改善: リスト自動遷移のロジックを刷新し、ウィンドウサイズが小さい場合や特定条件下で正常に遷移しない問題を改善しました。
  * UI修正: 設定画面の「OK/キャンセル」ボタンのサイズを微調整（拡大）し、操作性を向上させました。

===== v1.25.1 (2025/12/18) =====
  * 不具合修正: 拡張機能の設定ページで保存せずに戻ろうとした際、確認ダイアログによってアプリ全体が操作不能（フリーズ）になる問題を修正しました。
  * 機能改善: 「拡張機能の管理」ウィンドウのレイアウトを修正しました。ウィンドウ幅を広げた際に操作ボタンがバラけず、正しく整列されるようになりました。

===== v1.25.0 (2025/12/16) =====
  * 機能追加: ESCキーでカラムの「戻る」操作やフォーカスモードの終了ができるようになりました。
  * 機能改善: カラム遷移から戻った際のスクロール位置ズレを補正する機能を追加しました。
  * 不具合修正: 設定ページなどを開いたまま終了すると、次回起動時にカラムが消滅する問題を修正しました。

===== v1.24.2 (2025/12/12) =====
  * 不具合修正: テキスト選択時の右クリックメニューが正しく表示されない問題を修正しました。

===== v1.24.1 (2025/12/12) =====
  * 不具合修正: 画像ダウンロード時に拡張子が正しく付与されない問題を修正しました。

===== v1.24.0 (2025/12/11) =====
  * 機能追加: 画像の右クリックメニューに「名前を付けて画像を保存」を追加しました。
  * 機能追加: リンクの右クリックメニューに「リンクのアドレスをコピー」を追加しました。

===== v1.23.0 (2025/12/10) =====
  * 機能追加: ID/URL入力なしで、ホーム画面を経由して自動的にリスト一覧ページへ遷移する機能を追加しました。（ファイル > 新規カラムを追加 > リスト(自動遷移)）
  * 不具合修正: カラム上部URLの表示設定が正しく保存されるよう修正しました。

===== v1.22.1 (2025/12/10) =====
  * UI修正: 設定ウィンドウのOK,キャンセルボタンの幅を少し大きくしました。
  * UI修正: NGワード設定画面の文字の重なりを修正しました

===== v1.22.0 (2025/12/10) =====
  * 機能追加: 右クリックメニューに「コピー」・「貼り付け」・「切り取り」・「Googleで検索」を追加しました。
　　　　　　 「貼り付け」及び「切り取り」は入力欄でのみ有効です。
  * 機能追加: カラム上部のURL部分の表示/非表示を切り替える設定を追加しました。

===== v1.21.0 (2025/12/09) =====
  * 機能追加: NGワード機能を追加しました。設定画面の「ミュート」タブ、またはテキスト選択時の右クリックメニューから登録できます。
  * 機能改善: プロファイルの複製機能を追加しました。
  * 機能改善: プロファイルメニューの構造を見直し、各プロファイル名の下に操作メニュー（切り替え、複製など）を配置しました。

===== v1.20.0 (2025/12/09) =====
  * 機能追加: 多言語対応（日本語 / 英語）を追加しました。設定画面から切り替え可能です。

===== v1.19.0 (2025/12/09) =====
  * 機能追加: PC内のChromeブラウザにインストールされている拡張機能をスキャンし、簡単にインポートする機能を追加しました。（拡張機能の管理 > Chromeからインポート）
  * ドキュメント: Readmeの拡張機能導入手順を更新しました。

===== v1.18.3 (2025/12/08) =====
  * 仕様変更: カラムへのジャンプショートカットキーを正式に「数字キー」から「Ctrl + 数字キー」に変更しました。
  * 不具合修正: 自動更新頻度などの設定を変更しても、アプリ再起動時に保存・復元されない問題を修正しました。
  * 不具合修正: 日本語入力(IME)での変換操作中に、カーソルキー入力がアプリのショートカットとして誤検知され、入力フォーカスが外れてしまう問題に対応（仮）。
  * 改善: 内部スクリプトの管理構造をリファクタリングし、保守性と安定性を向上させました。

===== v1.18.2 (2025/12/04) =====
  * 不具合修正: 一部環境でカラムの自動更新のカウントダウンタイマーが正しく動作しない問題を修正しました。

===== v1.18.1 (2025/12/03) =====
  * 不具合修正: 一部環境で未読位置保持設定が正しく動作しない問題を修正しました。

===== v1.18.0 (2025/12/03) =====
  * 設定追加: 未読位置保持設定を追加しました。（設定 > カラム > 未読位置を保持）

===== v1.17.2 (2025/12/01) =====
  * 不具合修正: 設定「ポスト/画像クリック時に遷移しない」をOFFにしても、フォーカスモードに遷移しない問題を修正しました。

===== v1.17.1 (2025/12/01) =====
  * 操作性改善: 画像ビューア（メディア表示）での閲覧中や、テキスト入力中にカラム移動ショートカットが暴発しないよう挙動を改善しました。

===== v1.17.0 (2025/12/01) =====
  * UI刷新: ModernWpfUIを導入し、Windows 11ライクなモダンなデザインに刷新しました。
  * UI改善: 設定画面からアプリのテーマ（ライト/ダーク/システム設定）を切り替えられるようになりました。
  * UI改善: 設定項目をタブ（表示、カラム、動作、カスタムCSS）に分類し、レイアウトを見やすく整理しました。
  * 操作性改善: クリックによるカラム選択・フォーカス移動機能を追加し、レイアウト崩れを修正しました。

===== v1.16.0 (2025/11/30) =====
  * 機能追加: キーボードショートカットによるナビゲーション機能の追加
    - 矢印キー（←→）: カラムのフォーカス移動
    - 数字キー（1-9）: 指定した順序のカラムをフォーカス
    - PageUp/Down: アクティブなカラムのスクロール
  * 不具合修正: 一部の拡張機能が正しく動作しない問題を修正しました。

===== v1.15.0 (2025/11/29) =====
  * UI刷新: 画面上部のツールバーを標準的なメニューバー（ファイル、プロファイル、ツール、ヘルプ）に変更し、より広く画面を使えるようにしました。
  * 不具合修正: プロファイルの名前変更や削除時に、特定の条件下でエラーが発生したりファイルが完全に削除されない問題を修正しました。
  * 機能追加: デバッグ情報をエクスポートする機能を追加しました。（ヘルプ > デバッグ情報をエクスポート）

===== v1.14.2 (2025/11/29) =====
  * 不具合修正: フォーカスモードに遷移した際に、cssカスタマイズが適用されない問題を修正しました。 
  * 設定追加: ポスト内のリンクをクリックした際に、フォーカスモードを使用しない設定をを追加しました。

===== v1.14.1 (2025/11/29) =====
  * 不具合修正: Rep非表示機能が正常に動作しない問題を修正しました。

===== v1.14.0 (2025/11/29) =====
  * 機能追加: トレンド（Explore）カラム内のトレンドワードやハッシュタグをクリックした際、そのワードで検索した新しいカラムを自動的に追加する機能を追加しました。
  * 設定追加: 新しいカラムを追加する位置を「右端（末尾）」か「左端（先頭）」か選択できる設定を追加しました。（設定 > 一般 > カラムのレイアウト）
  * UI改善: カラムのドラッグ時に、他のカラムの間に挿入される位置を示すガイドラインを表示するようにしました。

===== v1.13.0 (2025/11/28) =====
  * 機能追加: 「カラムを追加」ボタンにトレンドを追加しました。
  * 機能追加: カラムヘッダーに戻るボタン「←」を追加しました。

===== v1.12.0 (2025/11/28) =====
  * 機能追加: カラムごとに「リプライ（返信）」を非表示にする機能を追加しました。
  * UI改善: カラムヘッダーを2行レイアウトに変更し、URLと操作ボタンを分離して使いやすくしました。

===== v1.11.6 (2025/11/27) =====
  * 不具合修正: 検索結果からフォーカスモード中に移行した後、元のカラムに戻れなくなる問題を修正しました。
  * UI改善: フォーカスモード中に左側メニュー等が表示されないようにしました。

===== v1.11.5 (2025/11/27) =====
  * 操作性改善: 検索結果カラム戻るボタン非表示に変更
  * UI改善: 画面上部の「アクティブ時停止」を「アクティブ時自動更新停止」に文言変更し、機能を分かりやすくしました。

===== v1.11.4 (2025/11/27) =====
  * 設定追加: メディアクリック時にフォーカスモードに遷移するか選択する設定を追加しました。
  * 不具合修正: バージョンアップ通知で「いいえ」を押した時にそのバージョンをスキップしなかった問題を修正しました。

===== v1.11.3 (2025/11/27) =====
  * 操作性改善: タッチパッドでの横スクロールの挙動（方向・滑らかさ）を修正しました。
  * 不具合修正: フォーカスモード終了時に表示設定（メニュー非表示など）が再適用されない問題を修正しました。
  * 機能追加: カラムヘッダーの右クリックメニューに削除機能を追加しました。

===== v1.11.2 (2025/11/27) =====
  * 不具合修正: Home、End、PageUP、PageDownキー押下時の挙動を修正

===== v1.11.1 (2025/11/26) =====
  * 不具合修正: カラム幅を指定した際に、投稿欄などでカーソルキー（←→↑↓）が効かない問題を修正しました。
  * 操作性改善: タッチパッドでの横スクロールの挙動を改善しました。

===== v1.11.0 (2025/11/26) =====
  * 機能追加:X(Twitter)サーバーへの接続状態を常時監視し、ステータスバーに表示する機能を追加。クリックで障害情報サイト(Downdetector)へアクセス可能です。
  * UI改善: ツールバーのボタンを機能ごとにドロップダウンメニューに整理し、画面を広く使えるようにしました。

===== v1.10.1 (2025/11/26) =====
  * 機能改善: 複数ウィンドウをスナップさせている際、一方をアクティブにするともう一方のウィンドウも連動して最前面に表示されるように改善しました。

===== v1.10.0 (2025/11/26) =====
  * 機能追加: ウィンドウ移動時に画面端や他のウィンドウに吸着する機能を追加。吸着したウィンドウ同士の追従移動にも対応。
  * 設定追加: スナップ機能の有効/無効を選択画面から切り替え可能に。

===== v1.9.0 (2025/11/25) =====
  * 設定追加: フォントの種類とサイズ(px)を設定画面から変更可能に。サイズ入力用の増減ボタンを追加。
  * 機能追加: カラムごとにリポスト（リツイート）を非表示にする設定を追加。
  * 操作性改善:
    - タッチパッドでの横スクロールに仮対応。
    - テキストボックス内でのカーソル移動の不具合を修正。

===== v1.8.0 (2025/11/25) =====
 * 機能追加: ツールバーに音量スライダーを追加。
 * 設定追加: レイアウト設定の強化
    - カラム幅のカスタマイズ（スライダー）
    - 等分割モードと固定幅モード（横スクロール）の切り替え
 * 機能追加: ユーザー独自のCSSを適用可能に。
    - 拡張機能の削除、無効時の処理見直し
    - 拡張機能「Old Twitter Layout(2025)」の設定ページを開けるように修正
    - フォーカスモードの遷移ロジック見直し、改善

===== v1.7.0 (2025/11/22) =====
  * 設定追加: 自動更新時にページリロードを行うか、ソフト更新を行うかを選択可能に。
    - マウスオーバーかつスクロール中は自動更新（トップ戻り）を防ぐ機能を追加。

===== v1.6.0 (2025/11/22) =====

  * 機能追加: 設定画面から以下の表示をカスタマイズ可能になりました。
    - 左側メニューの非表示（ホーム画面 / それ以外のカラムで個別に設定可）
    - リストヘッダー（画像や詳細情報）の簡易表示

===== v1.5.1 (2025/11/19) =====
  * 機能改善: インストール済み拡張機能のオプションページを開けるようになりました。
  - 拡張機能管理画面のUI調整。

===== v1.5.0 (2025/11/18) =====
  * 機能追加: 広告ブロッカーなどを導入可能になりました。
  - ソースコードの大幅な整理とドキュメントコメントの追加。
  - 安定性向上のため、WebView2パッケージのバージョンを安定版に変更。

===== v1.4.2 (2025/11/17) =====
  - アプリがアクティブ（操作中）の時に自動更新を一時停止するかどうかを選択できる設定を追加。
  - アプリが非アクティブから復帰した際、タイマーをリセットせず前回の残り時間から再開するように挙動を改善。

===== v1.4.1 (2025/11/17) =====
  - 自動更新をONにした直後にカウントダウンが始まらない不具合を修正
  - UI上で現在使用中のプロファイル名が判別しやすいよう改善
  - カラムから直接リポストしようとした際に、フォーカスモードに移行せず、正常にリポストできるよう修正

===== v1.4.0 (2025/11/17) =====
  - 複数プロファイル機能を追加（設定だけでなく、Xアカウントのログイン状態も切り替え可能）
  - プロファイルの新規作成、名前変更、削除機能を追加
  - アプリがアクティブ（フォアグラウンド）の時は自動更新を停止し、非アクティブ（バックグラウンド）時に再開するよう変更
  - コードのリファクタリング（機能ごとのファイル分割）

===== v1.3.1 (2025/11/13) =====
  - マルチディスプレイ環境において、セカンダリディスプレイ上にウィンドウを配置した際に、ウィンドウの位置とサイズが正しく保存・復元されない不具合を修正
  - （開発）マルチディスプレイ対応（System.Windows.Formsの参照）に伴うビルドエラーを修正

===== v1.3.0 (2025/11/13) =====
  - ポスト内の外部リンクをクリックした際、アプリ内ではなく既定のブラウザで開くよう修正
  - アップデート確認ダイアログに、GitHubリリースの更新内容を表示するよう改善

===== v1.2.0 (2025/11/11) =====
  - アプリ名を `TweetDesk` から `XColumn` に変更
  - フォーカスモードから戻る際、元のタイムライン表示に戻るよう修正
  - フォーカスモード中に返信画面に移動してもフォーカスが解除されないよう修正
  - 起動時のアップデート確認機能を追加

===== v1.1.0 (2025/11/09) =====
  - DPAPI による設定ファイルの暗号化と復号を実装
  - 設定ファイルの拡張子を `.json` から `.dat` に変更
  - フォーカスモードの復元と遷移ロジックを改善
  - 設定読み込み時のエラーハンドリングを強化
  - デフォルトカラムのロードロジックを改善

===== v1.0.0 (2025/11/09) =====
  - 初期リリース (TweetDeskとして)